From c2ee4644884d52ee715d05f8f3efea50274dcb23 Mon Sep 17 00:00:00 2001
From: Salman Siddiqui <sasiddiq@redhat.com>
Date: Nov 15 2018 18:32:21 +0000
Subject: [PATCH 5/15] use mvn()-style BRs and add javadoc subpackage for directory-maven-plugin


---

diff --git a/directory-maven-plugin/directory-maven-plugin.spec b/directory-maven-plugin/directory-maven-plugin.spec
index 23130a2..e4cbd30 100644
--- a/directory-maven-plugin/directory-maven-plugin.spec
+++ b/directory-maven-plugin/directory-maven-plugin.spec
@@ -10,13 +10,14 @@ Source0:    https://github.com/jdcasey/directory-maven-plugin/archive/directory-
 
 BuildArch:  noarch
 
-BuildRequires:  maven-javadoc-plugin
 BuildRequires:  maven-local
-BuildRequires:  maven-parent
-BuildRequires:  maven-plugin-plugin
-BuildRequires:  sonatype-oss-parent
-
-Requires:   java-openjdk
+BuildRequires:  mvn(org.apache.maven:maven-core)
+BuildRequires:  mvn(org.apache.maven:maven-model)
+BuildRequires:  mvn(org.apache.maven:maven-parent:pom:)
+BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
+BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
+BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)
+BuildRequires:  mvn(junit:junit)
 
 %description
 The Directory Plugin for Maven is used to discover various project-related 
@@ -27,6 +28,12 @@ from disk (not resolved from a remote repository). The plugin will then reflect
 this value to the console, and also inject it into each project's properties 
 using the value of the property plugin parameter.
 
+%package javadoc
+Summary:  Javadoc for %{name}
+
+%description javadoc
+%{summary}.
+
 %global debug_package %{nil}
 
 %prep
@@ -38,11 +45,12 @@ using the value of the property plugin parameter.
 %install
 %mvn_install
 
-%files
-%{_javadir}/%{name}
-%{_javadocdir}/%{name}
-%{_datadir}/maven-poms/%{name}
-%{_datadir}/maven-metadata/%{name}.xml
+%files -f .mfiles
+%doc README.md
+%license LICENSE
+
+%files javadoc -f .mfiles-javadoc
+%doc README.md
 
 %changelog
 * Mon Oct 15 2018 Salman Siddiqui <sasiddiq@redhat.com> - 0.3.1-1

